List All Offers

This endpoint lists all currently open offers and can be used in streaming mode. Streaming mode allows you to listen for new offers as they are added to the Stellar ledger. If called in streaming mode, Horizon will start at the earliest known offer unless a cursor is set, in which case it will start from that cursor. By setting the cursor value to now, you can stream offers created since your request time. When filtering by buying or selling arguments, you must use a combination of selling_asset_type, selling_asset_issuer, and selling_asset_code for the selling asset, or a combination of buying_asset_type, buying_asset_issuer, and buying_asset_code for the buying asset.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Account ID of the sponsor. Every account in the response will either be sponsored by the given account ID or have a subentry (trustline, offer, or data entry) which is sponsored by the given account ID.

string

The account ID of the offer creator.

string
enum

The type for the selling asset. Either native, credit_alphanum4, or credit_alphanum12.

Allowed:
string

The Stellar address of the issuer of the asset being sold (base asset). Required if the selling_asset_type is not native.

string

The code for the asset being sold (base asset). Required if the selling_asset_type is not native.

string
enum

The type for the asset being bought (counter asset). Either native, credit_alphanum4, or credit_alphanum12.

Allowed:
string

The Stellar address of the issuer of the asset being bought (counter asset). Required if the buying_asset_type is not native.

string

The code for the asset being bought (counter asset). Required if the buying_asset_type is not native.

integer

A number that points to a specific location in a collection of responses and is pulled from the paging_token value of a record.

string
enum

A designation of the order in which records should appear. Options include asc (ascending) or desc (descending). If this argument isn’t set, it defaults to asc.

Allowed:
integer

The maximum number of records returned. The limit can range from 1 to 200 - an upper limit that is hardcoded in Horizon for performance reasons. If this argument isn’t designated, it defaults to 10.

Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json